org.apache.poi.sl.draw.binding

## Class CTConnectionSiteList

- java.lang.Object
- - org.apache.poi.sl.draw.binding.CTConnectionSiteList

-     public class CTConnectionSiteList
      extends java.lang.Object

  Java class for CT_ConnectionSiteList complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="CT_ConnectionSiteList">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="cxn" type="{http://schemas.openxmlformats.org/drawingml/2006/main}CT_ConnectionSite" maxOccurs="unbounded" minOccurs="0"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.util.List<CTConnectionSite>` | `cxn`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CTConnectionSiteList()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<CTConnectionSite>` | `getCxn()` Gets the value of the cxn property.
    `boolean` | `isSetCxn()`
    `void` | `unsetCxn()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### cxn

          protected java.util.List<CTConnectionSite> cxn

  - ### Constructor Detail

    - #### CTConnectionSiteList

          public CTConnectionSiteList()

  - ### Method Detail

    - #### getCxn

          public java.util.List<CTConnectionSite> getCxn()

      Gets the value of the cxn property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the cxn property.

      For example, to add a new item, do as follows:

              getCxn().add(newItem);

      Objects of the following type(s) are allowed in the list `CTConnectionSite`

    - #### isSetCxn

          public boolean isSetCxn()

    - #### unsetCxn

          public void unsetCxn()

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.